@import "./variables";
@import "./mixins";
@import "./LoginPage.scss";
@import "./ChatPage/ContactList.scss";
@import "./ChatPage/ContactCard.scss";
@import "./ChatPage/Chat.scss";
* {
  box-sizing: border-box;
  margin: 0;
}

body {
  font-family: $font;
  background-color: $primaryColor;
  margin: 0;
  letter-spacing: $letter-spacing;
  font-weight: $font-weight;
  overflow: hidden;
}

.ChatPage {
  @include flex(row);
}

.profile-img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  object-fit: cover;
  margin: 10px;
}

input {
  width: 100%;
  border: 1px solid $borderColor;
  color: $textDarkColor;
  border-radius: 20px;
  font-family: $font;
  letter-spacing: $letter-spacing;
  padding: 10px 15px;
  outline: none;
  &::placeholder {
    color: $textLightColor;
  }
  &:focus {
    border: 2px solid $borderColor;
  }
}

.profile-container {
  position: relative;
  display: inline-block;
}
.profile-status {
  width: 15px;
  height: 15px;
  background: url("/assets/checkmark.svg");
  position: absolute;
  bottom: 16%;
  right: 10%;
}

.Toastify__toast-theme--light {
  color: $contrastColor;
  border: 1px solid $contrastColor;
}
.Toastify__toast {
  font-family: $font;
  border-radius: 10px;
  box-shadow: none;
}
.Toastify__close-button--light {
  color: $contrastColor;
}

@media only screen and (max-width: 768px) {
  body {
    overflow: scroll;
  }
  .ChatPage {
    flex-direction: column;
  }
}
